<?php

class Controller
{
    public function model(string $model): object
    {
        // Require model file
        require __DIR__ . '/../model/' . $model . '.php';
        // Instantiate model
        return new $model();
    }

    public function view(string $view, array $data = []): void
    {
        // Import variables into the current symbol table from an array
        extract($data);
        // Require view file
        require __DIR__ . '/../view/' . $view . '.php';
    }
}